Subject: Building ppc/powerpc kernel to run under QEMU.

From: Rob Landley <[email-masked]>
Date: Wed, 9 May 2007 22:03:25 -0400

I've been puttering around with my Firmware Linux project trying to add
powerpc as a supported platform.  I can build kernels that qemu can boot (such
as a "prep" kernel) using ARCH=ppc, but that one doesn't support make
headers_install.

Using ARCH=powerpc makes headers_install work, but there's no kernel .config 
I've been able to come up with that generates a kernel I can boot under qemu.

I could add a special case to my build script, but so far I've got it building 
eight targets (x86, x86-64, mips, mipsel, armv4l, armv5l, and sparc) with the 
same ARCH= for headers_install and the actual kernel compile.  It seems there 
_should_ be a way to do this for as prominent an architecture as PowerPC.

I was told this was the right place to ask: what's the status of the 
ppc->powerpc migration, and is there any known way to get ARCH=powerpc to 
build a kernel qemu can boot?

Rob